Subject: Re: [ietf-nomcom] Changing the candidate selection model

From: John C Klensin <[email-masked]>
Date: Sun, 21 Jun 2009 22:58:25 -0400

--On Friday, June 19, 2009 00:49 -0400 Barry Leiba
<[email-masked]> wrote:

>...
> I suggest that the other cases are either neutral or show the
> new proposal as better than what we have.  So let's consider
> how likely the failure mode is to happen, and the relative
> effect a failure has on the IETF.
> 
> I can't speak to the likelihood, but I can suggest that with
> the current system, it's not just the NomCom that would
> happily reappoint the incumbent.  The community as a whole
> probably knows that she's doing well and will likely be
> reappointed, and so history shows that there are likely to be
> few who volunteer for her spot.  That means that with the
> current system, we probably won't have much of a choice
> anyway, and so the superstar replacement probably won't be
> available anyway.
> 
> In other words, it probably turns into a failure mode for both
> systems, old as well as new.
> 
> As to the effect the failure has: By definition, the IETF has
> not gotten the optimal leader in that position.  But the IETF
> *does* have an effective leader whom the NomCom is happy with.

> It strikes me that that's not so bad -- not a very serious
> failure.

Right.  And, fwiw, if the "ask your management for permission to
stand as a nominee" scenario I outlined in an earlier note
applies and the superstar replacement is persuaded to be a
Nominee in year N but the incumbent is chosen anyway, the odds
of the superstar being available in year N+1 (when there might
be a weaker incumbent or someone ready to step down) go down at
least slightly.  That is one of the scenarios that leads me to
believe that "incumbents first" would sometimes improve the
quality of the nominee pool when it was important to have a
good-quality pool, i.e., when either there is a vacancy
(incumbent not willing to serve again) or a problem (incumbent
fairly clearly in need of replacement).

--On Friday, June 19, 2009 09:22 -0400 "Joel M. Halpern"
<[email-masked]> wrote:

> Returning to John's proposal, as I said, my concern is not
> with the case of a strong AD and a hypothetical superstar new
> nominee.  My concern is on the other end.  And I suspect
> (although it is always hard to tell, even in face-to-face
> discussions much less email), that John's and my basic
> disagreement comes much more when there is no superstar, or
> even outstanding candidate.

Actually, I think our most basic disagreement lies somewhere
else (see below).
 
> THe basic problem is when it is not clear cut whether the
> nomcom should re-appoint a given sitting individual.  Assume
> that the person has served two terms.  (The single term cases
> confuse the issue.)  We do not, and should not in my opinion,
> have a rule that says "out after two."  So the nomcom has to
> evaluate the person.  They have to evaluate how well that
> person is doing their job.  How well that person will fit with
> the partially known set of other people both in terms of style
> and in terms of skills.  (I have been told of cases where the
> nomcom litterally had to chose between people because two
> people could not serve together.  Also, sometimes nomcoms will
> use other appointments to compensate for weaknesses in one
> appointment.)
> And I consider it unacceptable to just leave the seat unfilled
> if we have someone who can probably do a decent job.  But I
> would hate to have to do an initial round appointing someone
> who is only expected to probably do a decent job.

Also ignoring the single term case, I think that the empirical
experience -- in the community, not necessarily the Nomcoms--
has been that, when an AD or other incumbent has served for two
or more terms and can only be expected to do a "decent" job, it
is time to get him or her out because, statistically and
observationally, the behavior and quality of job performance
always get worse.   That may not be true for incumbent
superstars, but they aren't at issue in this example.

This case is where we have a fundamental difference of opinion.
I think the IETF is put at risk when a Nomcom has few enough
qualified nominees that is has to start making decisions on the
basis of "this particular nominee is only the best of a bad lot,
but is he or she better than nothing".    Obviously, sometimes
those appointments work out, but that isn't the issue.

I believe that, if the Nomcom doesn't have (and can't find) an
adequate number of Nominees who are both willing to serve and
highly qualified, it is actually very important to take that as
a symptom of "not enough depth in this particular area" and
force the relevant body and the community to take that as a fact
and deal with it.  I am willing to leave the definitions of
"adequate" and "highly qualified" to the Nomcom, but I don't
want to see any appointments made for which the Nomcom perceives
that they had to scrape the bottom of the proverbial barrel.

> Sometimes, if the nomcom beats the bushes a bit, good nominees
> surface.   Sometimes, when the nomcom beats the bushes, they
> just get scratches on their hands.  Failing to appoint an AD
> because the procedure says "you can not go back to the decent
> but not great candidate you passed over because he is an
> incumbent" seems like a bad box to put yourself in.

I don't want to put words into your mouth here, but it sounds to
me that you are willing to go quite a bit further in the
direction of a probably-unsatisfactory candidate in order to
make sure that a slot gets filled, while I would prefer to
empower the Nomcom to say "we have examined all of the
possibilities, beaten the bushes, and can't find a Nominee we
are really happy with -- so the community needs to make another
plan.

Put differently, I can see lots of reasons to either retain an
incumbent or to drop one.  But I don't see "after performing an
evaluation and weighing the issues, we'd really prefer to retire
this person, but are willing to live with another term if we
can't find anyone else or if all the people we can find are
worse" as a acceptable reason for retention.  That is especially
so because I believe I've seen situations in which a Nomcom has
returned someone who had burned out because they couldn't find
anyone better and that the result of that decision has usually
been unfortunate.  While I can accept that there possible
situations very near that boundary that you would consider
failure cases, I consider any "no choice" situation to be a
sufficient failure that there is no win either way.

   john

---

From: Eric Rosen <[email-masked]>
Date: Mon, 22 Jun 2009 10:29:21 -0400

> "incumbents first" would sometimes improve the quality of the nominee pool

I think this really ignores the political realities.  If the first thing the
nomcom had to do was to have an up/down vote on each incumbent, no incumbent
would  ever be  removed.  The  procedures for  selecting the  nomcom  do not
select  for people  with  the backbone  to  make hard  decisions like  this.
Especially  not when  there are  liaisons from  the powers  that be  who are
offering help and keeping an eye on everything.

---

From: John C Klensin <[email-masked]>
Date: Tue, 23 Jun 2009 00:43:32 -0400

> I think this really ignores the political realities.  If the
> first thing the nomcom had to do was to have an up/down vote
> on each incumbent, no incumbent would  ever be  removed.  The
> procedures for  selecting the  nomcom  do not select  for
> people  with  the backbone  to  make hard  decisions like
> this. Especially  not when  there are  liaisons from  the
> powers  that be  who are offering help and keeping an eye on
> everything.

I assume you have actually read the draft, rather than taking
the comments that have been made about it out of context and
responding to them.  If you have not read the draft, I doubt
that the comments that follow will be very helpful.

The first thing the Nomcom has to do is to perform a careful and
thoughtful, area by area and slot by slot performance review
without the distractions of non-incumbent nominees.  The
intention is that those reviews be performed even on areas where
the incumbent is voluntarily stepping down.  Having performed
that evaluation, the Nomcom then decides which of the incumbents
that are willing to serve again it wants to return.  The
expectation is that the reviews will be very helpful in
considering nominees for slots to which incumbents are not
returned.

Of course, if a Nomcom is lazy or indifferent enough that it
simply skips the evaluation process and returns all of the
incumbents, then we are in big trouble.  Should a Nomcom decide
to behave that way, I believe that we can have exactly the same
failure case with the current setup so the proposal doesn't make
things any worse.  And, fwiw, while I've seen Nomcoms make
decisions that I consider wrong-headed, I've never seen any
symptoms of that level of irresponsibility -- my impression has
been that at least most members of most Nomcoms take their
responsibilities very seriously.

I've got similar reactions to your comment (I'm tempted to say
"innuendo") about the liaisons.   While I think they are
necessary, I've always been concerned about the risk of
unreasonable influences from the bodies to which people are
going to be appointed (e.g., enhancement of what Christian
referred to as the "old boyz club") and direct or indirect leaks
back to those bodies (e.g., candor in comments about nominees,
especially about incumbents, who are part of the same "club" as
the liaison can lead to resentments, even if no details are
disclosed outside the Nomcom).  But I don't have a better
solution.  Do you?

   john

---

From: Eric Rosen <[email-masked]>
Date: Wed, 24 Jun 2009 11:10:02 -0400

The context for most of the nomcom discussions is the assumption that nomcom
is  some sort  of blue  ribbon commission,  whose task  is to  determine the
objective facts and then to make objective decisions based on those facts.

I  think that  assumption  is just  a  myth.  Choosing  the  IESG/IAB is  an
essentially political process, not a fact-finding exercise.  If we are going
to talk about changing the procedures, we should use our knowledge about how
political processes  actually work  in practice.  I  think it shows  way too
much hubris  to assume that the  IETF is somehow  going to set up  a process
that produces some  objectively superior result, even if  such a thing could
be assumed to exist.  Political processes tend to work in a certain way, and
the way they work is largely independent of the intentions of the people who
drew up the rules.

> things any worse.

I  certainly disagree;  in politics  there's a  maxim that  "you  can't beat
somebody with nobody".   The chances of ousting an  incumbent are much lower
if it is not known who will replace him/her.  

There are  some exceptions to this  maxim; a highly  factionalized group may
agree  to  oust an  incumbent  without  having any  hope  of  agreeing on  a
replacement.   While you  seem to  think that  this is  a valid  outcome, it
usually  doesn't work out  very well  in practice.   (See, e.g.,  the Weimar
Republic.)

> without the distractions of non-incumbent nominees.

These process details don't matter.   Unless the nomcom happens by chance to
be dominated by  political opponents of the incumbent,  the tendency will be
to keep the incumbent unless there is consensus for a replacement.

> going to be appointed

Some people have  strong convictions and are immune  to such influences, but
many  people  are  very  susceptible  to influence  from  the  "leadership",
especially if  they know that the  leadership is watching  their every move.
So I think the liaisons really  add a corrupt influence to the process.  The
nomcom should be able to call on representatives of the leadership when they
require information,  but it's really  outrageous to have liaisons  sit with
them on a regular basis.